# Uses of Interface
com.sun.jdi.request.MonitorWaitRequest

Packages that use MonitorWaitRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of MonitorWaitRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return MonitorWaitRequest
Modifier and Type
Method
Description
`MonitorWaitRequest`
EventRequestManager.`createMonitorWaitRequest()`
Creates a new disabled `MonitorWaitRequest`.
Methods in com.sun.jdi.request that return types with arguments of type MonitorWaitRequest
Modifier and Type
Method
Description
`List<MonitorWaitRequest>`
EventRequestManager.`monitorWaitRequests()`
Return an unmodifiable list of the enabled and disabled monitor wait requests.